// This Software is part of the Precision Microdrives Haptic Shield demo and is
// provided under the MIT License

// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to 
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:

// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.

// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.

//------------------------------------------------------------------------------
// Icons generated by LCD Assistant
// http://en.radzio.dxp.pl/bitmap_converter/
//------------------------------------------------------------------------------

#ifndef include_icons_h
#define include_icons_h

#define __PROG_TYPES_COMPAT__
#include <avr/pgmspace.h>

#if defined(ARDUINO) && ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif

// PMD Logo
#define LOGO_WIDTH   128
#define LOGO_HEIGHT  32
#define LOGO_SIZE    ( LOGO_WIDTH * LOGO_HEIGHT / 8 )

static const unsigned char PMD_LOGO_GLCD_BMP[ LOGO_SIZE ] PROGMEM ={ 
      0xFC, 0xFE, 0xFF, 0xFF, 0x3F, 0x1F, 0x0F, 0x4F, 0x67, 0x67, 0x67, 0x67, 0xE7, 0xE7, 0xE7, 0xE7,
      0xE7, 0xE7, 0xC7, 0xCF, 0x8F, 0x1F, 0x3F, 0x3F, 0x07, 0x07, 0xFE, 0xFC, 0x00, 0x00, 0x00, 0x00,
      0xFE, 0xFF, 0x63, 0x63, 0x63, 0x63, 0x7F, 0x3E, 0x00, 0xF8, 0xFC, 0x8C, 0x8C, 0x8C, 0x7C, 0x78,
      0x00, 0x00, 0xFC, 0xFC, 0xCC, 0xCC, 0xCC, 0x00, 0x00, 0xF0, 0xF8, 0x1C, 0x0C, 0x0C, 0x0C, 0x0C,
      0x08, 0x00, 0xFC, 0xFC, 0x00, 0x38, 0x7C, 0xCC, 0xCC, 0x8C, 0x0C, 0x00, 0xFC, 0xFC, 0x00, 0xC0,
      0xF0, 0x38, 0x1C, 0x0C, 0x0C, 0x0C, 0x1C, 0x38, 0xF0, 0xC0, 0x00, 0xFC, 0xFC, 0x3C, 0xF8, 0xE0,
      0xC0, 0x00, 0xFC, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
      0xFF, 0xFF, 0x07, 0x00, 0xF0, 0xFE, 0xFF, 0x1F, 0xCF, 0xE7, 0xE7, 0x3E, 0x80, 0xE9, 0x1D, 0xCD,
      0x6D, 0x19, 0xC3, 0xF7, 0xF7, 0x27, 0x8E, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
      0x0F, 0x0F, 0x00, 0x00, 0xC0, 0xE0, 0xE0, 0xE0, 0x80, 0x0F, 0x0F, 0x01, 0x81, 0xE7, 0xEF, 0xEC,
      0xC0, 0x00, 0x0F, 0x8F, 0x8C, 0x0C, 0x0C, 0x00, 0x80, 0x87, 0x8F, 0x8E, 0x8C, 0x0C, 0x0C, 0x0C,
      0x80, 0x80, 0x8F, 0x8F, 0x00, 0x0C, 0x0C, 0x0C, 0x0D, 0x0F, 0x87, 0x80, 0x8F, 0x8F, 0x80, 0x01,
      0x03, 0x07, 0x0E, 0x8C, 0x8C, 0x8C, 0x8E, 0x87, 0x83, 0x81, 0x00, 0x0F, 0x0F, 0x00, 0x80, 0x83,
      0x87, 0x8F, 0x0F, 0x0F, 0x00, 0x80, 0x80, 0x00, 0x80, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80,
      0x80, 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x00, 0x02, 0x1E, 0x82, 0x9E, 0x86, 0x8C, 0x86, 0x1E,
      0xFF, 0xFF, 0x00, 0x00, 0xE3, 0xC7, 0x8F, 0x1C, 0x3B, 0x39, 0x7C, 0x7E, 0x7F, 0x7C, 0x7A, 0x7B,
      0x7C, 0x7F, 0x7F, 0x3D, 0x3C, 0x1E, 0x8F, 0xC3, 0xE0, 0xF8, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x03, 0x1F, 0xFE, 0xE0, 0xFE, 0x1F, 0x03, 0x00, 0xFF,
      0xFF, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0xFE, 0xFF, 0xC3, 0x81, 0x81, 0x81, 0x81, 0x01, 0x00, 0xFF,
      0xFF, 0x31, 0x31, 0xF1, 0xEF, 0x8F, 0x00, 0x38, 0x7E, 0xE7, 0xC3, 0x81, 0x81, 0x81, 0xC3, 0xE7,
      0x7E, 0x38, 0x00, 0xFF, 0xFF, 0x81, 0x81, 0x81, 0x81, 0xC3, 0xFF, 0x7C, 0x00, 0xFF, 0xFF, 0x31,
      0x31, 0xF1, 0xEF, 0x8F, 0x00, 0xFF, 0xFF, 0x00, 0x07, 0x1F, 0x7E, 0xF8, 0xE0, 0xF8, 0x3E, 0x0F,
      0x03, 0x00, 0xFF, 0xFF, 0x99, 0x99, 0x99, 0x00, 0x00, 0x87, 0x8F, 0x99, 0xB9, 0x71, 0xE1, 0x00,
      0x03, 0x07, 0x0E, 0x0E, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E,
      0x0E, 0x0E, 0x0E, 0x0E, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x07, 0x03, 0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x01,
      0x01, 0x00, 0x00, 0x01, 0x01, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x01,
      0x01, 0x00, 0x00, 0x00, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00,
      0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x01, 0x01, 0x00,
      0x00, 0x00, 0x01, 0x01, 0x00, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x00, 0x00,
      0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00
};

// User interface tabs
#define TAB_SMALL_WIDTH		8
#define TAB_SMALL_HEIGHT	8
#define TAB_SMALL_SIZE		( TAB_SMALL_WIDTH * TAB_SMALL_HEIGHT / 8 )

#define TAB_END_WIDTH		3
#define TAB_END_HEIGHT		16
#define TAB_END_SIZE		( TAB_END_WIDTH * TAB_END_HEIGHT / 8 )

#define TAB_MID_WIDTH		1
#define TAB_MID_HEIGHT		16
#define TAB_MID_SIZE		( TAB_MID_WIDTH * TAB_MID_HEIGHT / 8 )

// Tab left
static const unsigned char TAB_LEFT[ TAB_SMALL_SIZE ] PROGMEM = {
	0xC0, 0x30, 0x0C, 0x03, 0x01, 0x01, 0x01, 0x01, 
};

// Tab right
static const unsigned char TAB_RIGHT[ TAB_SMALL_SIZE ] PROGMEM = {
	0x01, 0x01, 0x01, 0x01, 0x03, 0x0C, 0x30, 0xC0, 
};

// Current tab
static const unsigned char TAB_FULL_LEFT [ TAB_END_SIZE ] PROGMEM = {
	0x00, 0xF0, 0x0F, 0xF0, 0x8F, 0x80, 
};

static const unsigned char TAB_FULL_RIGHT [ TAB_END_SIZE ] PROGMEM = {
	0x0F, 0xF0, 0x00, 0x80, 0x8F, 0xF0, 
};

static const unsigned char TAB_FULL_MID [ TAB_MID_SIZE ] PROGMEM = {
	0x01, 0x80, 
};

// Tab icons
#define ICON_WIDTH 32
#define ICON_HEIGHT 32

const unsigned char PLAY_HAPTICS_ICON [] PROGMEM = {

     0xFC, 0x06, 0x03, 0x07, 0x05, 0x0D, 0x09, 0x09, 0x09, 0x19, 0x31, 0x61, 0xC1, 0x81, 0x01, 0x01,
     0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x03, 0x06, 0xFC,
     0xFF, 0x80, 0x00, 0x70, 0xC0, 0x80, 0x0C, 0x18, 0x70, 0xC2, 0x86, 0x8C, 0xF8, 0x31, 0x63, 0xC6,
     0x8C, 0x18, 0x30, 0x60, 0xC0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
     0xFF, 0x01, 0x03, 0x02, 0x03, 0x01, 0x01, 0x03, 0x02, 0x43, 0xC1, 0x80, 0x00, 0x10, 0x30, 0x20,
     0x61, 0x63, 0x46, 0x44, 0x44, 0x67, 0x60, 0x20, 0x30, 0x10, 0x00, 0x80, 0x80, 0x80, 0x00, 0xFF,
     0x3F, 0x60, 0xC0, 0x80, 0x80, 0x82, 0x86, 0x84, 0x8C, 0x88, 0x88, 0x99, 0x91, 0x93, 0x92, 0x92,
     0xB2, 0xA6, 0xA4, 0xA4, 0xA4, 0xB6, 0x92, 0x92, 0x92, 0x93, 0x91, 0x99, 0x88, 0xCC, 0x64, 0x3F
};

const unsigned char PLAY_VIB_ALERTS_ICON [] PROGMEM = {

    0xFC, 0x06, 0x03, 0x31, 0x19, 0x8D, 0xC5, 0x61, 0x31, 0x19, 0x89, 0xC1, 0x61, 0x31, 0x11, 0x81,
    0xC1, 0x61, 0x61, 0x61, 0xC1, 0x81, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x03, 0x06, 0xFC,
    0xFF, 0x00, 0x00, 0x00, 0x03, 0x31, 0x18, 0x8C, 0xC6, 0xE3, 0x31, 0x18, 0x0C, 0x06, 0x03, 0x01,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x03, 0x86, 0xCC, 0x78, 0x30, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x0D, 0x18, 0x31, 0x7B, 0xDE, 0x8C, 0x18, 0xB0, 0xE0,
    0xC0, 0x60, 0x30, 0x18, 0x8C, 0xC6, 0x63, 0x31, 0x18, 0x8C, 0xC6, 0x63, 0x30, 0x00, 0x00, 0xFF,
    0x3F, 0x60, 0xC0, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x83, 0x83, 0x81,
    0x80, 0x84, 0x86, 0x83, 0x81, 0x88, 0x8C, 0x86, 0x83, 0x91, 0x98, 0x8C, 0x86, 0xC3, 0x60, 0x3F
};

const unsigned char WAVE_FORM_ICON [] PROGMEM = {

    0xFC, 0x06, 0x03, 0x01, 0x01, 0x01, 0xC1, 0xC1, 0xC1, 0x01, 0x01, 0x01, 0x01, 0x01, 0xC1, 0xC1,
    0xC1, 0x01, 0x01, 0x01, 0x01, 0x01, 0xC1, 0xC1, 0xC1, 0x01, 0x01, 0x01, 0x01, 0x03, 0xC6, 0xFC,
    0xFF, 0x00, 0x80, 0xE0, 0xF8, 0xFE, 0xFF, 0xFF, 0xFF, 0x00, 0x80, 0xE0, 0xF8, 0xFE, 0xFF, 0xFF,
    0xFF, 0x00, 0x80, 0xE0, 0xF8, 0xFE, 0xFF, 0xFF, 0xFF, 0x00, 0x80, 0xE0, 0xF8, 0xFE, 0x7F, 0xFF,
    0xFF, 0xFE, 0xFF, 0x7F, 0x07, 0x01, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0x1F, 0x07, 0x01, 0xFF, 0xFF,
    0xFF, 0xFE, 0xFF, 0x1F, 0x07, 0x01, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF, 0x1F, 0x07, 0x01, 0x00, 0xFF,
    0x3F, 0x67, 0xC1, 0x80, 0x80, 0x80, 0x87, 0x87, 0x87, 0x87, 0x81, 0x80, 0x80, 0x80, 0x87, 0x87,
    0x87, 0x87, 0x81, 0x80, 0x80, 0x80, 0x87, 0x87, 0x87, 0x83, 0x80, 0x80, 0x80, 0xC0, 0x60, 0x3F
};

const unsigned char POWER_ICON [] PROGMEM = {
  
    0xFC, 0x06, 0xC3, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1,
    0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0xC1, 0x03, 0x06, 0xFC,
    0xFF, 0x00, 0x01, 0x01, 0x1D, 0x1D, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD,
    0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0x1D, 0x1D, 0x01, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x1D, 0x1D, 0x1D, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD,
    0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0x1D, 0x1D, 0x1D, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x3F, 0x60, 0xC0, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x9D, 0x9D, 0x9D,
    0x9D, 0x9D, 0x9D, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0xC0, 0x60, 0x3F
};

const unsigned char ON_ICON [] PROGMEM = {

    0xFC, 0x06, 0x03, 0x01, 0x01, 0x01, 0xE1, 0xF9, 0x19, 0x0D, 0x05, 0x05, 0x0D, 0x19, 0xF9, 0xE1,
    0x01, 0xFD, 0xFD, 0x3D, 0x71, 0xC1, 0x81, 0x01, 0xFD, 0xFD, 0x01, 0x01, 0x01, 0x03, 0x06, 0xFC,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xE0, 0xE1, 0xE7, 0xE6, 0xEC, 0xE8, 0xE8, 0xEC, 0xE6, 0xE7, 0xE1,
    0xE0, 0xEF, 0xEF, 0xE0, 0xE0, 0xE1, 0xE3, 0xEE, 0xEF, 0xEF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x3F, 0x78, 0xF8, 0xB8, 0xB8, 0xBF, 0xBF, 0xBF, 0xBF, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0xBF, 0xBF, 0xBF, 0xBF, 0xB8, 0xB8, 0xF8, 0x78, 0x3F
};

const unsigned char OFF_ICON [] PROGMEM = {

    0xFC, 0x06, 0x03, 0xE1, 0xF9, 0x19, 0x0D, 0x05, 0x05, 0x0D, 0x19, 0xF9, 0xE1, 0x01, 0xFD, 0xFD,
    0x45, 0x45, 0x45, 0x45, 0x45, 0x01, 0xFD, 0xFD, 0x45, 0x45, 0x45, 0x45, 0x45, 0x03, 0x06, 0xFC,
    0xFF, 0xE0, 0xE0, 0xE1, 0xE7, 0xE6, 0xEC, 0xE8, 0xE8, 0x0C, 0x06, 0x07, 0x01, 0x00, 0x0F, 0x0F,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xEF, 0xE0, 0xE0, 0xE0, 0xE0, 0xE0, 0xE0, 0xE0, 0xFF,
    0xFF, 0x01, 0x01, 0x01, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0x01, 0x01, 0x01, 0xFF,
    0x3F, 0x60, 0xC0, 0x80, 0x80, 0xBF, 0xBF, 0xBF, 0xBF, 0xB8, 0xB8, 0xB8, 0xB8, 0xB8, 0xB8, 0xB8,
    0xB8, 0xB8, 0xB8, 0xB8, 0xB8, 0xB8, 0xB8, 0xBF, 0xBF, 0xBF, 0xBF, 0x80, 0x80, 0xC0, 0x60, 0x3F
};

const unsigned char AUDIO_ICON [] PROGMEM = {

    0xFC, 0x06, 0x03, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
    0x01, 0x01, 0xFD, 0xFD, 0x19, 0x31, 0x61, 0xC1, 0x81, 0x01, 0x01, 0x01, 0x01, 0x03, 0x06, 0xFC,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xC0, 0xFF, 0x03, 0x06, 0x1C, 0x30, 0x60, 0xC1, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xC0, 0xE0, 0xE0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xE0,
    0xE0, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x3F, 0x60, 0xC0, 0x80, 0x80, 0x83, 0x87, 0x87, 0x8F, 0x8F, 0x8F, 0x8F, 0x8F, 0x8F, 0x8F, 0x8F,
    0x87, 0x83, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0xC0, 0x60, 0x3F
};



#endif // include_icons_h
